> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Differences

> Returns a list of differences.



## OpenAPI

````yaml GET /api/v1/differences
openapi: 3.0.1
info:
  description: The noyo tracking API tracks changes and discrepancies.
  title: Noyo Tracking API
  version: 1.0.0
servers:
  - description: Noyo Tracking API - Live
    url: https://tracking.noyo.com
  - description: Noyo Tracking API - Sandbox
    url: https://tracking-sandbox.noyo.com
security: []
tags: []
paths:
  /api/v1/differences:
    get:
      tags:
        - Differences
      summary: Retrieves a list of differences.
      description: Returns a list of differences.
      operationId: getDifferenceList
      parameters:
        - description: The max size of each page of results
          in: query
          name: page_size
          required: false
          schema:
            type: integer
        - description: >-
            The integer offset at which to start the page. Possible values are 0
            to total_records - 1
          in: query
          name: offset
          required: false
          schema:
            type: integer
        - description: Comma-separated list of requested Difference UUIDs
          in: query
          name: id
          required: false
          schema:
            type: string
        - description: Filter out differences above this impact score
          in: query
          name: max_impact_score
          required: false
          schema:
            type: integer
        - description: Filter out differences below this impact score
          in: query
          name: min_impact_score
          required: false
          schema:
            type: integer
        - description: True if you want differences that still need to be resolved
          in: query
          name: is_open
          required: false
          schema:
            type: boolean
        - description: Comma separated object types you would like to filter on
          in: query
          name: object_type
          required: false
          schema:
            example: employee,individual_enrollment
            type: string
        - description: The ID of the object you'd like to filter on
          in: query
          name: object_id
          required: false
          schema:
            example: 2ce3b54a-2535-4803-b218-e6b44081d418
            format: uuid
            type: string
        - description: The ID of the group you'd like to filter on
          in: query
          name: group_id
          required: false
          schema:
            example: 8da8e28d-1dbe-44b4-a973-46e8fc191b6c
            format: uuid
            type: string
        - description: Filter for only differences created before this date (exclusive)
          in: query
          name: created_before
          required: false
          schema:
            example: 2020-12-1
            type: string
        - description: Filter for only differences created after this date (exclusive)
          in: query
          name: created_after
          required: false
          schema:
            example: 2020-12-1
            type: string
        - description: Comma separated impact types you would like to filter on
          in: query
          name: impact_type
          required: false
          schema:
            type: string
        - description: show only differences with the given is_dismissed value
          in: query
          name: is_dismissed
          required: false
          schema:
            type: boolean
        - description: Show only differences that are or are not discrepancies
          in: query
          name: is_discrepancy
          required: false
          schema:
            type: boolean
        - description: The ID of the member snapshot you'd like to filter on
          in: query
          name: member_snapshot_id
          required: false
          schema:
            example: 8da8e28d-1dbe-44b4-a973-46e8fc191b6c
            format: uuid
            type: string
        - description: The attribute on which to sort
          in: query
          name: sort_by
          required: false
          schema:
            type: string
        - description: Either asc or desc, to denote the data's direction
          in: query
          name: sort_direction
          required: false
          schema:
            type: string
        - description: Include differences that are known to be unavailable at carrier
          in: query
          name: include_unavailable
          required: false
          schema:
            type: boolean
        - description: Comma separated difference classifications to filter differences by
          in: query
          name: classification
          required: false
          schema:
            example: field_mismatch,missing_from_platform
            type: string
        - description: Comma separated difference types to filter differences by
          in: query
          name: type
          required: false
          schema:
            example: new_hire,phone_number
            type: string
      responses:
        '200':
          content:
            application/json:
              example:
                meta:
                  offset: 0
                  page_num: 1
                  page_size: 2
                  total_records: 97
                response:
                  - carrier_id: 2d370e0e-fd73-45e0-8828-796d2cacaeef
                    created: 1698264758
                    difference_classification: field_mismatch
                    difference_type: dob
                    discrepancy_time: 1698265273
                    employee_id: 556f553b-4626-419c-b26e-30bb69956eb0
                    fields:
                      - carrier_value: '1989-01-12'
                        key: person.date_of_birth
                        platform_value: '1999-01-12'
                    group_id: 26faa540-9ca3-454b-914e-a84701ea04cd
                    id: ac951a10-5115-4f1b-a374-5510d818fd07
                    impact_score: 3
                    is_dismissed: false
                    is_suppressed: false
                    modified: 1706815155
                    object_id: d1898ad7-02f8-414f-9f94-5a1acd535c08
                    object_type: dependent
                    organization_id: 34a3ac5b-fa32-4714-b2fe-2ff5a6a3e68c
                    resolved: 1706815154
                    version: be22f69e-84b5-4cb0-a66a-a763641861c1
                  - carrier_id: 2d370e0e-fd73-45e0-8828-796d2cacaeef
                    created: 1698264983
                    difference_classification: field_mismatch
                    difference_type: ie_effective_end_date
                    discrepancy_time: 1698265071
                    employee_id: 05da283a-bf0c-4fb6-b3ca-d658350f0ee2
                    fields:
                      - carrier_value: '2023-10-31'
                        key: effective_end_date
                        platform_value: '9999-12-31'
                    group_id: 26faa540-9ca3-454b-914e-a84701ea04cd
                    id: 21150bdf-478a-4ac8-a214-bdd413df984e
                    impact_score: 3
                    is_dismissed: false
                    is_suppressed: false
                    modified: 1707342911
                    object_id: 751437b9-1380-485f-937b-d86cec916f3e
                    object_type: individual_enrollment
                    organization_id: 34a3ac5b-fa32-4714-b2fe-2ff5a6a3e68c
                    resolved: 1707342908
                    version: 44707efe-3900-48dc-a243-e9d3c0781f40
              schema:
                $ref: '#/components/schemas/PaginatedDifferencesResult'
          description: Successful Response - Returns all matching differences
components:
  schemas:
    PaginatedDifferencesResult:
      properties:
        meta:
          description: Metadata associated with the response data
          properties:
            offset:
              description: >-
                The offset of the first response record within the matching data
                set
              format: int32
              minimum: 0
              readOnly: true
              type: integer
            page_num:
              description: >-
                The page number of the response records within the overall data
                set (1-based integer)
              format: int32
              minimum: 1
              readOnly: true
              type: integer
            page_size:
              description: The maximum number of response records on each page of results
              format: int32
              minimum: 1
              readOnly: true
              type: integer
            total_records:
              description: The total number of records in the entire matching data set
              format: int32
              minimum: 0
              readOnly: true
              type: integer
          required:
            - offset
            - page_num
            - page_size
          type: object
        response:
          description: List of difference results
          items:
            properties:
              carrier_id:
                description: Unique identifier of the carrier in Noyo
                format: uuid
                type: string
              created:
                description: The date the record was created
                type: integer
              difference_classification:
                description: >-
                  Describes the way in which the carrier and platform values
                  differ. One of: missing_from_carrier, field_mismatch,
                  missing_from_platform
                type: string
              difference_type:
                description: Describes the specific type of data the difference is for
                type: string
              discrepancy_time:
                description: >-
                  If the difference has become a discrepancy, the time at which
                  that happened
                type: integer
              employee_id:
                description: >-
                  Unique identifier of the employee whose family is associated
                  with this difference
                format: uuid
                type: string
              fields:
                description: >-
                  The difference fields that are different between the platform
                  and carrier
                items:
                  properties:
                    carrier_value:
                      description: The value the carrier has for the key
                      nullable: true
                      type: string
                    key:
                      description: >-
                        Describes the field where the platform and carrier
                        values are different
                      type: string
                    platform_value:
                      description: The value the platform has for key
                      nullable: true
                      type: string
                  required:
                    - key
                  type: object
                type: array
              group_id:
                description: Unique identifier of the group in Noyo
                format: uuid
                type: string
              id:
                description: Unique identifier of the record in Noyo
                format: uuid
                type: string
              impact_score:
                description: A numerical score describing the impact of the difference
                format: int32
                type: integer
              impact_type:
                description: Describes the type of impact this difference has
                nullable: true
                type: string
              is_dismissed:
                description: Has this difference been dismissed by the user?
                type: boolean
              is_suppressed:
                description: Has this difference been suppressed by noyo?
                type: boolean
              modified:
                description: The date the record was last updated
                type: integer
              object_id:
                description: Unique identifier associated with the object
                format: uuid
                type: string
              object_type:
                description: >-
                  Type of the object. One of: dependent, employee,
                  individual_enrollment
                type: string
              replaced_by:
                description: Unique identifier of the replacing difference
                format: uuid
                nullable: true
                type: string
              resolved:
                description: The date the difference was resolved
                nullable: true
                type: integer
              version:
                description: Current version of the record
                format: uuid
                type: string
            required:
              - carrier_id
              - created
              - difference_classification
              - difference_type
              - employee_id
              - fields
              - group_id
              - id
              - impact_score
              - is_dismissed
              - is_suppressed
              - modified
              - object_id
              - object_type
              - organization_id
              - version
            type: object
          type: array
      required:
        - meta
        - response
      type: object
      x-field_order:
        - meta
        - response

````